// ldip -- file of income from salaried workers

// this do files keeps one job record per worker.
// it chooses the one that has the lowest sum of time rank and income rank.
// if tied (e.g, ranks 2 and 3, 3 and 2), prefer time rank.

// output: ldip_clean

use "ldip.dta" , clear
keep if anno>=1989
duplicates report nquest nord anno
egen ylm_rank = rank(ylm), by(anno nquest nord)
egen mesilav_rank = rank(mesilav), by(anno nquest nord)
gen sum_rank = -(ylm_rank+1.01*mesilav_rank)
sort nquest nord anno sum_rank
duplicates drop nquest nord anno, force
save "ldip_clean.dta", replace