// linb -- self-employment file

// this do files keeps one job record per worker.
// it chooses the one that has the lowest sum of time rank and income rank.
// if tied (e.g, ranks 2 and 3, 3 and 2), prefer time rank.

use "linb.dta", clear
keep if anno>=1989
egen mesilav_rank = rank(mesilav), by( nquest nord anno)
egen yml_rank = rank(yml), by( nquest nord anno)
gen sum_rank = -(1.01*mesilav_rank +yml_rank)
sort nquest nord anno sum_rank
duplicates drop nquest nord anno, force

replace profn = 1 if prof3 == 1
replace profn = 2 if prof3 == 0
replace profn = 3 if prof3 == 2
replace profn = 3 if profn == 4
label define PROFN 1 "member of the professions" 2 "sole proprietor" 3 "freelancer"
label val profn PROFN


save "linb_clean", replace