// this file creates the linking file between the employment records of individuals
// comp -- file that includes household memebers information in each wave
// link wave using nordp, which identifies the member id in the previous wave
use "comp.dta" , clear
keep if anno>=1989
keep nquest nord nordp anno sesso eta


forvalues y = 1989(2)1995 {
	preserve
	local _y = `y'-2
	keep if anno == `y'
	drop anno
	rename nord nord`y'
	rename nordp nord`_y'
	rename eta eta`y'
	rename sesso sesso`y'
	save temp/comp`y', replace
	restore
}

preserve
local y = 1998
local _y = 1995
keep if anno == `y'
drop anno
rename nord nord`y'
rename nordp nord`_y'
rename eta eta`y'
rename sesso sesso`y'
save temp/comp`y', replace
restore

forvalues y = 2000(2)2016 {
	preserve
	local _y = `y'-2
	keep if anno == `y'
	drop anno
	rename nord nord`y'
	rename nordp nord`_y'
	rename eta eta`y'
	rename sesso sesso`y'
	save temp/comp`y', replace
	restore
}

use temp/comp2016, clear
forvalues y = 2014(-2)1998{
	merge n:1 nquest nord`y' using temp/comp`y'
	drop _merge
}
forvalues y = 1995(-2)1989{
	merge n:1 nquest nord`y' using temp/comp`y'
	drop _merge
}

gen id = _n
order id

drop *1987
reshape long nord eta sesso, i(id nquest) j(anno)
drop if nord == .

drop if sesso==.
duplicates drop nquest anno nord, force

save linking_file, replace