
%% Setup the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 6);

% Specify range and delimiter
opts.DataLines = [2, Inf];
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["Var1", "Var2", "contract_type_permanent", "contract_type_temporary_fixed_te", "contract_type_self_employed", "contract_type_not_employed"];
opts.SelectedVariableNames = ["contract_type_permanent", "contract_type_temporary_fixed_te", "contract_type_self_employed", "contract_type_not_employed"];
opts.VariableTypes = ["string", "string", "double", "double", "double", "double"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, ["Var1", "Var2"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["Var1", "Var2"], "EmptyFieldRule", "auto");

% Import the data
contracttypetransitionsprobabilitiesbysex = readtable("work_status_transitions_probabilities_by_sex.csv", opts);

%% Convert to output type
big_mat = table2array(contracttypetransitionsprobabilitiesbysex);
TM_men = big_mat(1:4,:);
TM_women = big_mat(5:8,:);

%% Clear temporary variables
clear opts big_mat