
clear all
set more off

*use "C:\data\Losai\Losai\02.DIPENDENTI\rapportilavoro_19852012.dta" , replace

*path to dropbox folder GID_QE (where do files are and clean data will be saved)
global USER_FOLDER="C:\Users\" /*instert your path here*/

*Need to have subfolder \Programs\Prepare_INPS_Data\ with do files for this to run smoothly

*path to raw data 
global RAW_DATA=/*instert path To losai raw data here*/

*the folder must contain subfolders:
*- \01.ANAGRAFICA\ (with demographic dataset)
*- \02.DIPENDENTI\ (with job-level data)
*and so on
*note that this structure is the default one when you unzip the data 
*provided by the ministry 
global MODIFIED_DATA= /*insert path to folder where dta should be saved*/



global GID_CORE_DATA_FOLDER=/*where you want the data for core analysis*/


u id year y_birth y_death sex age Y Occupation TW type_contract parttime using "$USER_FOLDER\Data\clean\GID_Data_Clean", replace

gen openend=type_contract=="I" 
replace openend=. if year<1998

gen male=sex=="M" 
replace Occupation="WhiteC" if Occupation=="Manager (middle-level)"
replace Occupation="App_other" if Occupation=="Apprentship" | Occupation=="Other" 
replace Occupation="Manager" if Occupation=="Manager (high-level)"
rename Y wage_inc


/*
BASELINE SAMPLE
preserve
drop if wage_inc==0
drop if TW<7
keep id year y_birth y_death male Occupation wage_inc openend parttime

cd "$GID_CORE_DATA_FOLDER"
save  GID_Data_Core_new, replace
restore
*/

*BASELINE SAMPLE (less than 4 weeks)
preserve
drop if wage_inc==0
drop if TW<4
keep id year y_birth y_death male Occupation wage_inc openend parttime

cd "$GID_CORE_DATA_FOLDER"
save  GID_Data_Core_new_4w, replace
restore

*WEEKLY EARNINGS BASELINE SAMPLE (less than 4 weeks)
preserve
replace wage_inc=wage_inc/TW
drop if wage_inc==0
drop if TW<4
keep id year y_birth y_death male Occupation wage_inc openend parttime

cd "$GID_CORE_DATA_FOLDER"
save  GID_Data_Core_new_weeklyearnings_4w, replace
restore


