*
clear all
set more off

*use "C:\data\Losai\Losai\02.DIPENDENTI\rapportilavoro_19852012.dta" , replace

*path to dropbox folder GID_QE (where do files are and clean data will be saved)
global USER_FOLDER="C:\Users\" /*instert your path here*/

*Need to have subfolder \Programs\Prepare_INPS_Data\ with do files for this to run smoothly

*path to raw data 
global RAW_DATA=/*instert path To losai raw data here*/

*the folder must contain subfolders:
*- \01.ANAGRAFICA\ (with demographic dataset)
*- \02.DIPENDENTI\ (with job-level data)
*and so on
*note that this structure is the default one when you unzip the data 
*provided by the ministry 
global MODIFIED_DATA= /*insert path to folder where dta should be saved*/

global GID_CORE_DATA_FOLDER=/*where you want the data for core analysis*/



use "$RAW_DATA\03.IMPRESE\imprese_1990_2014.dta" , replace
gen dimension_cat=real(CLASS_DIM)
label def ddcc 1 "0-5" 2 "6-10" 3 "11-15" 4 "16-20" 5 "21-25" 6 "26-30" 7 "31-40" ///
				8 "41-50" 9 "51-100" ///
				10 "101-200" 11 "201-300" 12 "301-400" 13 "401-500" 14 "501 or more" , replace
label values dimension_cat ddcc 
rename ANNO Anno
rename ATECO81_2 sector_ateco
keep ID_AZIENDA Anno dimension_cat sector_ateco
drop if Anno>2004
save "$RAW_DATA\tempA.dta", replace

use "$RAW_DATA\03.IMPRESE\matrlosai_20052016.dta" , replace
gen dimension_cat=real(CLASS_DIM)
label def ddcc 1 "0-5" 2 "6-10" 3 "11-15" 4 "16-20" 5 "21-25" 6 "26-30" 7 "31-40" ///
				8 "41-50" 9 "51-100" ///
				10 "101-200" 11 "201-300" 12 "301-400" 13 "401-500" 14 "501 or more" , replace
label values dimension_cat ddcc 
rename ANNO Anno
rename ATECO07_2 sector_ateco
keep ID_AZIENDA Anno dimension_cat sector_ateco

append using "$RAW_DATA\tempA.dta"

destring ID_AZIENDA, replace
rename ID_AZIENDA firm_ID

order firm_ID Anno
sort firm_ID Anno
note sector_ateco: "This is ATECO 2002 for years before 2005 (1990-2004), and ATECO 2007 for years after 2004"

label var dimension_cat "Firm Size categories"

save "$MODIFIED_DATA\firm_data.dta", replace

keep if Anno==2004 | Anno==2005
keep firm_ID Anno sector_ateco
xtset firm_ID Anno
gen lag_sector=l.sector_ate 
drop if lag_sector==.
keep if Anno==2005
bys sector lag_sector: gen counts=_N
bys sector (lag_sector): egen max_counts=max(count)
keep if counts==max_counts
bys sector lag_sector counts: gen tokeep=_n
keep if tokeep==1
rename lag_sector most_likely_ateco_2002
keep sector_ateco most_likely_ateco_2002

save "C:\data\LoSaI_2016\modified\crosswalk_ateco.dta", replace

clear 
use "$MODIFIED_DATA\firm_data.dta", replace
merge m:1 sector_ateco using "C:\data\LoSaI_2016\modified\crosswalk_ateco.dta"
replace most_likely_ateco_2002 = sector_ateco if Anno<2005
drop _merge
cap drop aux
gen aux=sector_ateco if Anno==2004
sort firm_ID Anno
bys firm_ID (Anno): egen auxb=mean(aux)
replace most_likely_ateco_2002 = auxb if auxb!=.
cap drop aux*
label var most_likely_ateco_2002 "Inferred ateco code 2002"
save "$MODIFIED_DATA\firm_data.dta", replace

erase "$RAW_DATA\tempA.dta"
