clear all
set more off
set matsize 800
cap log close

scalar def which_pc=1

if which_pc==1 {
	global folder= /*Insert here the path to your replication folder*/
	}
	

*this should be the folder where you wnat tpo save the tables:
global TABLES="$folder\Other_analysis"	


use ID_LAVORATORE  year firm_ID sex Nobs Nfirm age contract date_hir date_sep Retr region sector_ateco using "$folder\Data\clean\individual_contracts_for_transitions_post97.dta", replace
drop if age<25 
drop if age>55
keep if Nobs<4 /*drop 2% of observations*/
sort ID_LAVORATORE year Retr firm_ID
bys ID_LAVORATORE year (Retr firm_ID): gen contr_number = _n
reshape wide firm_ID Nobs Nfirm contract date_hir date_sep Retr region sector_ateco , i(ID_LA year) j(contr_number)
set seed 1349856756
replace firm_ID2=year+round(runiform()*10000) if firm_ID2==.
replace firm_ID3=year+round(runiform()*10000) if firm_ID3==.
gen cond_event=age==25 & (contract1==1 | contract2==1 | contract3==1)
cap drop aux
gen aux=age==25
bys ID_LAVORATORE (year): egen is_ever_25_temp=max(cond_event) 
bys ID_LAVORATORE (year): egen is_ever_25=max(aux)
cap drop aux 
gen aux=age==26
bys ID_LAVORATORE (year): egen is_ever_26=max(aux)
cap drop aux
keep if age<36
*remeber to create the subfolder Data\clean as explained in the readme file
save "$folder\Data\clean\pre_transition_nov21.dta", replace


*CREATE EXPANDED DATA
clear
use "$folder\Data\clean\pre_transition_nov21.dta", replace
sort ID_LAVORATORE age
xtset ID_LAVORATORE age
gen in_original_data=1
tsfill , full
*drop years prior to 1998 (we do not know type of contract) or post 2016 (they do not exist)
forvalues j = 1(1)10{
replace year = L`j'.year+`j' if year==.
replace year = F`j'.year-`j' if year==.
}

drop if year<1998 | year>2016

*drop people who are never 25 even in the expanded data
bys ID_LAVORATORE (age): egen min_age=min(age)
drop if min_age>25
save "$folder\Data\clean\pre_transition_tsfilledfull_nov21.dta", replace



clear
use "$folder\Data\clean\pre_transition_tsfilledfull_nov21.dta", replace
cap drop S_*
gen S_permanent=(contract1==2 | contract2==2 | contract3==2)
gen S_temporary=S_permanent==0 & in_original_data!=.
gen S_out=in_original_data==.
gen S_check=S_permanent + S_temporary + S_out

egen Y=rsum(Retribuzione_imponibile1 Retribuzione_imponibile2 Retribuzione_imponibile3)

cap drop aux*
by ID_LAVORATORE (age): egen aux=mean(sex)
replace sex = aux if sex==.

egen agex=min(age) if Y>0 & Y!=.,by(ID)
egen agexm=mean(agex),by(ID)
gen rrr=region1 if age==agexm
egen rrrm=mean(rrr),by(ID)
gen sss=sector_ateco1 if age==agexm
egen sssm=mean(sss),by(ID)

keep ID_LAVORATORE age sex  S_* Y rrrm sssm
cap drop aux*
cap drop state_at_25
gen aux=.
replace aux=0 if S_out==1 & age==25
replace aux=1 if S_temporary==1 & age==25
replace aux=2 if S_permanent==1 & age==25
bys ID_LAVORATORE (age): egen auxb=mean(aux)
gen state_at_25=auxb
label def ss25 0 "Out" 1 "T" 2 "P", replace
label values state_at_25 ss25

cap drop aux*
cap drop state_at_26
gen aux=.
replace aux=0 if S_out==1 & age==26
replace aux=1 if S_temporary==1 & age==26
replace aux=2 if S_permanent==1 & age==26
bys ID_LAVORATORE (age): egen auxb=mean(aux)
gen state_at_26=auxb
label def ss26 0 "Out" 1 "T" 2 "P", replace
label values state_at_26 ss26

g temp=Y if age==26
egen Y_at_26=mean(temp),by(ID)
replace Y=. if Y==0
gen ly=log(Y)
egen my=mean(ly),by(ID)

cap drop groupA
gen 	groupA=1 if state_at_25==0 & state_at_26!=0	/*Both have jobs at 26, but group=1 is U at 25 and group=2 is Temp at 25*/ 
replace groupA=2 if state_at_25==1 & state_at_26!=0 

cap drop groupD
g 		groupD=1 if state_at_25==0	/*Group=1 is U at 25; group=2 is temp at 25*/
replace groupD=2 if state_at_25==1

g agesq=age^2


reg S_perm i.groupD my i.sex age agesq i.state_at_26 if age>=27,cluster(ID)
reg S_perm i.groupD if age>=27 & e(sample),cluster(ID)
reg S_perm i.groupD my i.sex age agesq i.state_at_26 i.rrrm i.sssm if age>=27,cluster(ID)

reg S_perm i.groupA my i.sex age agesq i.state_at_26 if age>=27,cluster(ID)
reg S_perm i.groupA if age>=27 & e(sample),cluster(ID)
reg S_perm i.groupA my i.sex age agesq i.state_at_26 i.rrrm i.sssm if age>=27,cluster(ID)
